declare module 'rollup' {
	import { RollupOptions } from 'rollup';
	import { IPlugin, IPluginConfiguration, IPluginManagerExtends, ExecuteContext } from 'onebuild/plugins';
	import { RollupAliasOptions } from '@rollup/plugin-alias';
	interface IRollupPluginOptions extends RollupOptions {
	    alias?: RollupAliasOptions;
	    /**
	     * Default that included builtin plugins.
	     */
	    includeDefaultPlugins?: boolean;
	}
	interface IRollupPluginConfiguration extends IPluginConfiguration {
	    addOptions: (options: IRollupPluginOptions) => IPluginConfiguration;
	}
	export const ExternalDefault: string[];
	export class OneBuildRollupPlugin implements IPlugin<IRollupPluginConfiguration> {
	    name: string;
	    private configureOptions;
	    private rollupOptions;
	    private pluginManager;
	    configure(instance: IPluginManagerExtends): IRollupPluginConfiguration;
	    execute(ctx: ExecuteContext, next: () => Promise<void>): Promise<void>;
	    private get mergedOptions();
	}
	export {};

}
declare module 'index' {
	export * from 'rollup';

}
declare module 'onebuild-rollup-plugin' {
	export * from 'index';
}
